Author Topic: Python 3.9 and job status BLOCKED  (Read 5305 times)

bhanse33

  • Newbie
  • *
  • Posts: 2
    • View Profile
Python 3.9 and job status BLOCKED
« on: April 18, 2024, 07:53:06 PM »
Hi! I am new to R2D and I am still learning the ropes, but I am having several issues when running the Example 1 Basic Hazus.

First, when I run it locally on the computer, it gives me the error "Python version 3.8 or 3.9 is required, you have Python version 3.9 installed". I saw some previous posts with this same problem, but the answer seemed to be that the next version would fix this bug, however I am here over a year later from that previous post with this same problem. Should I just download version 3.8? The weird thing is though it was working for me, I was able to get results from running it locally and then apparently all of a sudden one day it just started giving me that error.

My second issue is one other people have had before too; when I run it at DesignSafe, the status of the job is blocked and I am unable to download results. From reading the responses, it seems they are always asked what the Tapis ID under preferences is, so here is mine "rWhale-stampede-3.1.0u1". I wasn't sure what to do to fix it though.

Thank you!
I can also be reached at bhanse33@uw.edu

jyzhao

  • Newbie
  • *
  • Posts: 30
    • View Profile
Re: Python 3.9 and job status BLOCKED
« Reply #1 on: April 22, 2024, 12:17:14 AM »
Hello,

Thanks for using SimCenter forum.

For the first question, it is likely because a new Python is installed and set as the default Python on your computer. The new Python may not be compatible with SimCenter Apps. Could you please reply with the operation system you are using and the Python path defined in your R2D "preferences" menu bar? If you are using a MacOS, you can see info at "https://nheri-simcenter.github.io/R2D-Documentation/common/user_manual/installation/desktop/install_macOS.html#install-python-3-9" about how to get the correct Python to use.

For the second question, we are investigating and will let you know the results as soon as possible.

Best,

Jinyan

jyzhao

  • Newbie
  • *
  • Posts: 30
    • View Profile
Re: Python 3.9 and job status BLOCKED
« Reply #2 on: April 22, 2024, 05:47:25 PM »
To run on DesignSafe, please change the Tapis App ID to "simcenter-rWHale-frontera-4.4.0u1".

Please let us know if there are any other issues.

Best,

Jinyan

bhanse33

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Python 3.9 and job status BLOCKED
« Reply #3 on: April 24, 2024, 10:45:18 PM »
The Python path defined in "preferences" is "C:/Users/bhanse33/Documents/R2D/R2D_Windows_Download/applications/python/python.exe" which is just the python that came in the download package. I'm using Microsoft Windows, if that is what you meant by operations system.

Also I updated my tapis app, and now instead of saying "blocked" it says "failed" when I try and run it through DesignSafe